###############################################################################
###############################################################################
##
##  Copyright (C) 2004-2005 Red Hat, Inc.  All rights reserved.
##
##  This copyrighted material is made available to anyone wishing to use,
##  modify, copy, or redistribute it subject to the terms and conditions
##  of the GNU General Public License v.2.
##
###############################################################################
###############################################################################

Name: GFS
Version: 6.1.19
Release: 1%{dist}
License: GPL
Group: System Environment/Kernel
Summary: GFS - The Global File System
BuildRequires: GFS-kernheaders >= 2.6.9
BuildRequires: iddev-devel
ExclusiveArch: i386 ia64 x86_64 ppc64
Requires: initscripts >= 7.93.2.EL-1
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/chkconfig
Source0: gfs-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
GFS - The Global File System

%prep
%setup -q -n gfs-%{version}

%build
./configure --mandir=%{_mandir}
sed -i '/RELEASE_MAJOR/s/= .*/= 6/' make/defines.mk
sed -i '/RELEASE_MINOR/s/= .*/= 1.0/' make/defines.mk
sed -i '/RELEASE /s/= .*/= %{version}/' make/defines.mk
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add gfs

if [ -z "`grep "^kernel\.panic_on_oops" /etc/sysctl.conf`" ]; then
  echo "" >> /etc/sysctl.conf
  echo "# The following line is necessary for GFS to function properly." >> /etc/sysctl.conf
  echo "kernel.panic_on_oops = 1" >> /etc/sysctl.conf
fi
sysctl -e -p /etc/sysctl.conf 2>&1 > /dev/null
exit 0

%preun
if [ "$1" = 0 ]; then
	/sbin/chkconfig --del gfs
fi

%files
%defattr(-,root,root,-)
/sbin/*
%config /etc/init.d/gfs

%{_mandir}/*/*


%changelog
* Wed Apr 09 2009 Chris Feist <cfeist@redhat.com>
- gfs_grow no longer performs extremely slowly on 1k file systems.
- Resolves: rhbz#494731

* Tue Apr 15 2008 Chris Feist <cfeist@redhat.com>
- gfs_fsck now repairs gfs_grow corruption
- Resolves: rhbz#440896

* Mon Apr 07 2008 Chris Feist <cfeist@redhat.com>
- Out of memory issues with gfs_tool have been resolved
- A bug was fixed which caused GFS filesystem sizes to be reported improperly
- Resolves: rhbz#435469 rhbz#436383

* Wed Mar 19 2008 Chris Feist <cfeist@redhat.com>
- 'gfs_tool lockdump' now does not incorrectly state 'unknown mountpoint'
- Resolves: rhbz#421761

* Fri Aug 17 2007 Chris Feist <cfeist@redhat.com>
- gfs_fsck now deals with resource groups more effectively.
- Resolves: rhbz#238719

* Tue Jan 30 2007 Chris Feist <cfeist@redhat.com>
- Updated upstream sources.
- Build for ppc64.

* Tue May 09 2006 Chris Feist <cfeist@redhat.com>
- Synced with upstream sources.

* Fri Mar 24 2006 Chris Feist <cfeist@redhat.com>
- Added patch to fix problem with gfs_fsck on 5.1TB filesystems (#186125).

* Fri May 06 2005 Chris Feist <cfeist@redhat.com>
- Cleaned up .spec file and %files section.

* Wed Dec 22 2004 Chris Feist <cfeist@redhat.com>
- Added code to re-read sysctl.conf.

* Mon Dec 20 2004 Chris Feist <cfeist@redhat.com>
- Rebuild with new sources.

* Thu Nov 18 2004 Chris Feist <cfeist@redhat.com>
- various bug fixes (new upstream sources)

* Sat Aug 14 2004 Jon Brassow <jbrassow@redhat.com> 
- various bug fixes (new upstream sources)

* Thu Jun 17 2004 Jon Brassow <jbrassow@redhat.com> 
- Initial build.
